| Method | URI | Description |
|---|---|---|
| GET | /v2.0/tenants/{tenantId}/OS-KSCATALOG/endpoints | Lists endpoints for a tenant. |
Normal response codes: 200, 203
Error response codes: identityFault (400, 500, …), badRequest (400), unauthorized (401), forbidden (403), badMethod (405), overLimit (413), serviceUnavailable (503), itemNotFound (404)
This table shows the header parameters for the list endpoints request:
| Name | Type | Description |
|---|---|---|
| String (Required) | A valid authentication token for an administrative user. |
This table shows the URI parameters for the list endpoints request:
| Name | Type | Description |
|---|---|---|
| String | The tenant ID. |
This operation does not require a request body.
Example 4.51. List Endpoints: XML response
<?xml version="1.0" encoding="UTF-8"?>
<endpoints
xmlns="http://docs.openstack.org/identity/api/v2.0">
<endpoint
id="1"
tenantId="1"
type="compute"
name="Compute"
region="North"
publicURL="https://compute.north.public.com/v1"
internalURL="https://compute.north.internal.com/v1"
adminURL="https://compute.north.internal.com/v1">
<version
id="1"
info="https://compute.north.public.com/v1/"
list="https://compute.north.public.com/"
/>
</endpoint>
<endpoint
id="2"
tenantId="2"
type="compute"
name="Compute"
region="South"
publicURL="https://compute.north.public.com/v1"
internalURL="https://compute.north.internal.com/v1"
adminURL="https://compute.north.internal.com/v1">
<version
id="1"
info="https://compute.north.public.com/v1/"
list="https://compute.north.public.com/"
/>
</endpoint>
<endpoint
id="3"
tenantId="1"
type="compute"
name="Compute"
region="East"
publicURL="https://compute.north.public.com/v1"
internalURL="https://compute.north.internal.com/v1"
adminURL="https://compute.north.internal.com/v1"
/>
<endpoint
id="4"
tenantId="1"
type="compute"
name="Compute"
region="West"
publicURL="https://compute.north.public.com/v1"
internalURL="https://compute.north.internal.com/v1"
adminURL="https://compute.north.internal.com/v1">
<version
id="1"
info="https://compute.north.public.com/v1/"
list="https://compute.north.public.com/"
/>
</endpoint>
<endpoint
id="5"
tenantId="1"
type="compute"
name="Compute"
region="Global"
publicURL="https://compute.north.public.com/v1"
internalURL="https://compute.north.internal.com/v1"
adminURL="https://compute.north.internal.com/v1">
<version
id="1"
info="https://compute.north.public.com/v1/"
list="https://compute.north.public.com/"
/>
</endpoint>
</endpoints>
Example 4.52. List Endpoints: JSON response
{
"endpoints":[{
"id": 1,
"tenantId": "1",
"region": "North",
"type": "compute",
"publicURL": "https://compute.north.public.com/v1",
"internalURL": "https://compute.north.internal.com/v1",
"adminURL": "https://compute.north.internal.com/v1",
"versionId": "1",
"versionInfo": "https://compute.north.public.com/v1/",
"versionList": "https://compute.north.public.com/"
},
{
"id": 2,
"tenantId": "1",
"region": "South",
"type": "compute",
"publicURL": "https://compute.north.public.com/v1",
"internalURL": "https://compute.north.internal.com/v1",
"adminURL": "https://compute.north.internal.com/v1",
"versionId": "1",
"versionInfo": "https://compute.north.public.com/v1/",
"versionList": "https://compute.north.public.com/"
},
{
"id": 3,
"tenantId": "1",
"region": "East",
"type": "compute",
"publicURL": "https://compute.north.public.com/v1",
"internalURL": "https://compute.north.internal.com/v1",
"adminURL": "https://compute.north.internal.com/v1",
"versionId": "1",
"versionInfo": "https://compute.north.public.com/v1/",
"versionList": "https://compute.north.public.com/"
},
{
"id": 4,
"tenantId": "1",
"region": "West",
"type": "compute",
"publicURL": "https://compute.north.public.com/v1",
"internalURL": "https://compute.north.internal.com/v1",
"adminURL": "https://compute.north.internal.com/v1",
"versionId": "1",
"versionInfo": "https://compute.north.public.com/v1/",
"versionList": "https://compute.north.public.com/"
},
{
"id": 5,
"tenantId": "1",
"region": "Global",
"type": "compute",
"publicURL": "https://compute.north.public.com/v1",
"internalURL": "https://compute.north.internal.com/v1",
"adminURL": "https://compute.north.internal.com/v1",
"versionId": "1",
"versionInfo": "https://compute.north.public.com/v1/",
"versionList": "https://compute.north.public.com/"
}
],
"endpoints_links":[]
}
